--class 'JetPack' (Item)
--function JetPack:__init()
--	Item.__init(self);
--end
--function JetPack:Update(dt, player)
	--local vec = Vector3(0, dt * 10, 0);
	--player:PushPlayer(vec);
	--print("DT: " .. dt .. "\n")
--end

--tItem = JetPack();

--tItem:TestNative();
--for player in EntityManager.Players do
	--player:SetItem(JetPack);
--end
--AddCommand("listplayers", "I list connected players :)", 0, ServerCommand.SecurityLevel0);
--function listplayers(connector)
    --for player in EntityManager.Players do
		-- tItem:Update(0, player);
	--	connector:Print("Player connected: " .. player:GetGuidAsInteger());
	--end
--end
--AddCommand("addjetpack", "I give players jetpacks! :)", 0, ServerCommand.SecurityLevel0);
--function addjetpack(connector)
    --for player in EntityManager.Players do
		--player:SetItem(tItem);
	--end
--end